<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Teilnehmer\Visitenkarten\VisitenkartenDetails\VisitenkartenDetailsSpeichern;

use Kufer\Web\KuferTools\Teilnehmer\Visitenkarten\VisitenkartenDetails\VisitenkartenDetailsController;

class VisitenkartenDetailsNachSpeichernController extends VisitenkartenDetailsController
{
  private $statusCode;

  public function __construct($pStatusCode)
  {
    $this->statusCode = $pStatusCode;
  }

  protected function getRequestObj()
  {
    $obj = parent::getRequestObj();
    $obj->statusCode = $this->statusCode;

    return $obj;
  }
}